Name:           blueonyx-z-push
Version:        1.3
Release:        RC2
Packager:       Michael Stauber <mstauber@blueonyx.it>
Vendor:         z-push.sourceforge.net
URL:            z-push.sourceforge.net
License:        GPL
Group:          System Environment/Base
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      i386
Distribution:   BlueOnyx
Source:         %{name}-%{version}-%{release}.tar.gz
Summary:        Z-push implementation of the ActiveSync protocol for BlueOnyx

%description
Z-push is an implementation of the ActiveSync protocol which is used 'over-the-air' for 
multi platform ActiveSync devices, including Windows Mobile, iPhone, Sony Ericsson and 
Nokia mobile devices. With Z-push any groupware can be connected and synced with these 
devices.

%prep
%setup -q -n %{name}-%{version}-%{release}
#%setup -q -n %{name}

%build

rm -R -f $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mv * $RPM_BUILD_ROOT/

%install
  [ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

# Symlinks:
# Recreates source tarball if need be - with dereferenced symlinks.

    find $RPM_BUILD_ROOT/ -type l -print | \
    sed "s@^$RPM_BUILD_ROOT@@g" > solSymLinks.list
    if [ "$(cat solSymLinks.list)X" = "X" ] ; then
        pwd
    else
        rm -f %{name}-%{version}-%{release}.tar.gz
        tar czvfh /usr/src/redhat/SOURCES/%{name}-%{version}-%{release}.tar.gz -C /usr/src/redhat/SOURCES/ %{name}-%{version}-%{release}/
    fi

# Files:

  find $RPM_BUILD_ROOT/ -type f -print | \
    sed "s@^$RPM_BUILD_ROOT@@g" | \
    grep -v *.spec | \
    grep -v perllocal.pod | \
    grep -v \.hidden | \
    grep -v "\.packlist" > solFile.list

  if [ "$(cat solFile.list)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
  fi

%pre

%post

/bin/chown -R apache:apache /usr/sausalito/ui/web/z-push/state/
/etc/init.d/admserv reload > /dev/null 2>&1

%preun

%postun

%clean
rm -R -f $RPM_BUILD_ROOT

%files -f solFile.list
%defattr(-,root,root)
%config(noreplace) /usr/sausalito/ui/web/z-push/config.php

%changelog

* Sat Apr 10 2010  Michael Stauber <mstauber@blueonyx.it>
- [1.3-RC2]: Initial Build for CentOS + BlueOnyx.

